probe::socket.write_iter
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.write_iter — Message send via `sock_write_iter`

## Synopsis

    socket.write_iter

## Values

`flags`

  Socket flags value

`family`

  Protocol family value

`type`

  Socket type value

`size`

  Message size in bytes

`state`

  Socket state value

`name`

  Name of this probe

`protocol`

  Protocol value

## Context

The message sender

## Description

Fires at the beginning of sending a message on a socket via the `sock_write_iter` function

Prev | Up | Next
probe::socket.sendmsg.return | Home | probe::socket.write_iter.return